package com.scpyun.platform.jilinsscgsdp.bean.vo;


import com.scpyun.base.bean.User;

import java.util.List;

public class SysMenuVo {

  private String id;
  private String parentId;
  private String parentIds;
  private String systemModuleCode;
  private String name;
  private double sort;
  private String href;
  private String target;
  private String icon;
  private String isShow;
  private String menuPermission;
  private String permission;
  private String createBy;
  private String createDate;
  private String updateBy;
  private String updateDate;
  private String remarks;
  private String delFlag;
  private String wxHref;
  private String wxShow;
  private String wxIcon;
  private String path;
  private String pathIcon;
  private String type;
  private String btnPermission;
  private String loginName;
  private List<SysMenuVo> children;
  private User _user;


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }


  public String getParentId() {
    return parentId;
  }

  public void setParentId(String parentId) {
    this.parentId = parentId;
  }


  public String getParentIds() {
    return parentIds;
  }

  public void setParentIds(String parentIds) {
    this.parentIds = parentIds;
  }


  public String getSystemModuleCode() {
    return systemModuleCode;
  }

  public void setSystemModuleCode(String systemModuleCode) {
    this.systemModuleCode = systemModuleCode;
  }


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }


  public double getSort() {
    return sort;
  }

  public void setSort(double sort) {
    this.sort = sort;
  }


  public String getHref() {
    return href;
  }

  public void setHref(String href) {
    this.href = href;
  }


  public String getTarget() {
    return target;
  }

  public void setTarget(String target) {
    this.target = target;
  }


  public String getIcon() {
    return icon;
  }

  public void setIcon(String icon) {
    this.icon = icon;
  }


  public String getIsShow() {
    return isShow;
  }

  public void setIsShow(String isShow) {
    this.isShow = isShow;
  }


  public String getMenuPermission() {
    return menuPermission;
  }

  public void setMenuPermission(String menuPermission) {
    this.menuPermission = menuPermission;
  }


  public String getPermission() {
    return permission;
  }

  public void setPermission(String permission) {
    this.permission = permission;
  }


  public String getCreateBy() {
    return createBy;
  }

  public void setCreateBy(String createBy) {
    this.createBy = createBy;
  }


  public String getCreateDate() {
    return createDate;
  }

  public void setCreateDate(String createDate) {
    this.createDate = createDate;
  }


  public String getUpdateBy() {
    return updateBy;
  }

  public void setUpdateBy(String updateBy) {
    this.updateBy = updateBy;
  }


  public String getUpdateDate() {
    return updateDate;
  }

  public void setUpdateDate(String updateDate) {
    this.updateDate = updateDate;
  }


  public String getRemarks() {
    return remarks;
  }

  public void setRemarks(String remarks) {
    this.remarks = remarks;
  }


  public String getDelFlag() {
    return delFlag;
  }

  public void setDelFlag(String delFlag) {
    this.delFlag = delFlag;
  }


  public String getWxHref() {
    return wxHref;
  }

  public void setWxHref(String wxHref) {
    this.wxHref = wxHref;
  }


  public String getWxShow() {
    return wxShow;
  }

  public void setWxShow(String wxShow) {
    this.wxShow = wxShow;
  }


  public String getWxIcon() {
    return wxIcon;
  }

  public void setWxIcon(String wxIcon) {
    this.wxIcon = wxIcon;
  }


  public String getPath() {
    return path;
  }

  public void setPath(String path) {
    this.path = path;
  }


  public String getPathIcon() {
    return pathIcon;
  }

  public void setPathIcon(String pathIcon) {
    this.pathIcon = pathIcon;
  }


  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }


  public String getBtnPermission() {
    return btnPermission;
  }

  public void setBtnPermission(String btnPermission) {
    this.btnPermission = btnPermission;
  }

  public String getLoginName() {
    return loginName;
  }

  public void setLoginName(String loginName) {
    this.loginName = loginName;
  }

  public List<SysMenuVo> getChildren() {
    return children;
  }

  public void setChildren(List<SysMenuVo> children) {
    this.children = children;
  }

  public User get_user() {
    return _user;
  }

  public void set_user(User _user) {
    this._user = _user;
  }
}
